using System;
using BeWo.Report.ReportObjects;
using BS.Shared.Core;
using System.Data;


namespace BeWo.Report.DefaultReports
{
	[IDSpecificClass(Identifier = "Teamauslastung")]
    public partial class JahresReport : DevExpress.XtraReports.UI.XtraReport, IBeWoReport<JahresReportRO>
	{


        public JahresReport()
		{
			InitializeComponent();

		}

        public void SetReportDataSource(JahresReportRO pRO)
		{
			JahresReportRO b = new JahresReportRO();
			//b.CreateReport(pRO);


            
            
			this.bindingSource1.DataSource = pRO;
		} 
        /*private DataTable CreateChartData() {
            // Create an empty table.
            DataTable table = new DataTable("Table1");

            // Add three columns to the table.
            table.Columns.Add("Anzahl", typeof(Int32));
            table.Columns.Add("Weiblich", typeof(Int32));
            table.Columns.Add("Männlich", typeof(Int32));

            // Add data rows to the table.
            table.Rows.Add(new object[] { "1", "Section1", 10 });
            table.Rows.Add(new object[] { "2", "Section2", 20 });
            table.Rows.Add(new object[] { "3", "Section1", 20 });
            table.Rows.Add(new object[] { "4", "Section2", 30 });
            table.Rows.Add(new object[] { "5", "Section1", 15 });
            table.Rows.Add(new object[] { "6", "Section2", 25 });

            return table;
        }*/

	}
}
